#!/usr/bin/python

# Usage:
# python scriptname.py absolute_executable_path numTrials <gomba args>

import sys, string, os, shutil
import subm_vars

if __name__=='__main__':
    #scriptname = sys.argv[0]
    resultDir = sys.argv[1]
    gombaExecutable = sys.argv[2]

    numTrials = int(sys.argv[3])
    
    args = string.join(sys.argv[4:], " ")

    #Print subm file
    print "Universe = vanilla"
    print "should_transfer_files = NO"
#    print "when_to_transfer_output = ON_EXIT"
    print "Error = stderr.txt"
    print "Output = stdout.txt"
    print "Log = condorlog.txt"

    print "Requirements = "+subm_vars.CONDOR_SUBM_REQS

    print "Executable = "+gombaExecutable
    print "Arguments = "+args
    print "Initialdir = "+resultDir+"/"+"$(Process)"
    
    print "Queue "+str(numTrials)

    #Generate result dir structure
    if resultDir[-1] == '/':
        resultDir = resultDir[:-1]
    slashindex = resultDir.rfind('/')
    if slashindex == -1:
        localResultDir = resultDir
    else:
        localResultDir = resultDir[slashindex+1:]
    localResultDir = './'+localResultDir

    if os.path.exists(localResultDir):
        shutil.rmtree(localResultDir)

    os.mkdir(localResultDir)
    for run in range(numTrials):
        os.mkdir(localResultDir+"/"+str(run))


